import 'package:freezed_annotation/freezed_annotation.dart';

import '../model/data_extension_model.dart';
import '../model/paging_model.dart';

part 'base_list_response.g.dart';

@JsonSerializable(genericArgumentFactories: true)
class BaseListResponse<T> {
  final List<T>? data;
  final bool? success;
  final String? message;
  final PagingModel? paging;
  final DataExtensionModel? data_extension;

  BaseListResponse(
      {@JsonKey(name: 'data') required this.data,
      @JsonKey(name: 'success') this.success,
      @JsonKey(name: 'message') this.message,
      @JsonKey(name: 'data_extension') this.data_extension,
      @JsonKey(name: 'meta_data') this.paging});

  factory BaseListResponse.fromJson(
          Map<String, dynamic> json, T Function(dynamic) fromJsonT) =>
      _$BaseListResponseFromJson(json, fromJsonT);
}
