
import 'package:flutter/material.dart';

import '../../common/values/colors.dart';
import '../../common/values/sizes.dart';
import '../custom/custom_icon.dart';
import 'custom_button.dart';

class CustomButtonIcon extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    ThemeData theme = Theme.of(context);
    return Container(
      width: Sizes.width(context),
      child: CustomButton(
        borderRadius: Sizes.RADIUS_12,
        elevation: Sizes.ELEVATION_10,
        textStyle: theme.textTheme.subtitle1!,
        color: Colors.white,
        icon: Container(
          child: CustomIcon(
            icon: Icons.east_rounded,
            color: SharingColors.backgroundEditTextColor,
          ),
        ),
        height: Sizes.HEIGHT_44,
        onPressed: () {},
      ),
    );
  }
}
