import 'package:flutter/material.dart';
import 'package:shimmer/shimmer.dart';

class CustomContainerShimmer extends StatelessWidget {
  final double? width;
  final double? height;
  const CustomContainerShimmer({required this.width, required this.height})
      : super();

  @override
  Widget build(BuildContext context) {
    return ClipRRect(
      borderRadius: BorderRadius.circular(8),
      child: Shimmer.fromColors(
        baseColor: Colors.grey[300]!,
        highlightColor: Colors.grey[100]!,
        period: Duration(seconds: 2),
        child: Container(
          width: width,
          height: height,
          color: Colors.white,
        ),
      ),
    );
  }
}
