import 'package:easy_localization/src/public_ext.dart';
import 'package:flutter/material.dart';
import 'package:flutter_spinkit/flutter_spinkit.dart';

import '../../common/values/sizes.dart';
import '../text/custom_text_medium_bold_field.dart';

class LoadingPageWidget extends StatelessWidget {
  final String msg;
  LoadingPageWidget({this.msg = "LOADING..."});

  @override
  Widget build(BuildContext context) {
    return WillPopScope(
      onWillPop: () async {
        Navigator.of(context, rootNavigator: true).pop();
        return Future.value(false);
      },
      child: Stack(
        alignment: Alignment.center,
        children: [
          Column(
            mainAxisAlignment: MainAxisAlignment.center,
            children: [
              SpinKitCircle(
                size: 40,
                color: Colors.blue[400],
              ),
              SizedBox(
                height: Sizes.HEIGHT_6,
              ),
              CustomTextMediumBoldField(
                label: "text_loading".tr(),
                color: Colors.blue[400],
              )
            ],
          ),
        ],
      ),
    );
  }
}
